Get a submission workflow run
GET
/v1/forms/{form}/submissions/{submission}/workflow-run
const url = 'https://api.submeto.com/v1/forms/example/submissions/example/workflow-run';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.submeto.com/v1/forms/example/submissions/example/workflow-run \ --header 'Authorization: Bearer <token>'Returns the one production run bound to a submission. Requires workflows:read.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”form
required
string
The form ID.
submission
required
string
The submission ID.
Responses
Section titled “Responses”Submission workflow run
Media typeapplication/json
object
data
object
id
string
submission_id
string
run_kind
string
status
string
workflow_version
integer
reserved_compute_points
integer
consumed_compute_points
integer
released_compute_points
integer
request_id
string
Example
{ "data": { "id": "01JRUN00000000000000000000", "submission_id": "REQUEST_ID", "run_kind": "production", "status": "succeeded", "workflow_version": 2, "reserved_compute_points": 2, "consumed_compute_points": 2, "released_compute_points": 0 }, "request_id": "REQUEST_ID"}